version: '2'
mpp-vars:
  efiarch: aa64
  boot_rpms:
  - dracut-config-generic
  - grub2-tools-minimal
  - $kernel_rpm
  - grub2-efi-aa64
  base_rpms:
  - NetworkManager
  - audit
  - chrony
  - e2fsprogs
  - efibootmgr
  - glibc-langpack-en
  - hostname
  - linux-firmware
  - passwd
  - rng-tools
  - rootfiles
  - rsyslog
  - selinux-policy-targeted
  - systemd-udev
pipelines:
- name: build
  runner: org.osbuild.centos9
  stages:
  - type: org.osbuild.rpm
    inputs:
      packages:
        type: org.osbuild.files
        origin: org.osbuild.source
        mpp-depsolve:
          architecture: $arch
          module-platform-id: $distro_module_id
          baseurl: $distro_baseurl/BaseOS/$arch/os/
          repos:
            mpp-eval: distro_repos
          packages:
          - dnf
          - dosfstools
          - e2fsprogs
          - efibootmgr
          - grub2-efi-aa64
          - grub2-efi-aa64-cdboot
          - grub2-tools
          - grub2-tools-minimal
          - policycoreutils
          - python3-iniparse
          - python3
          - qemu-img
          - rpm-ostree
          - selinux-policy-targeted
          - shim-aa64
          - skopeo
          - systemd
          - tar
          - xz
    options:
      gpgkeys:
      - mpp-eval: centos_gpg_key
      - mpp-eval: redhat_gpg_key
      exclude:
        docs: true
  - type: org.osbuild.selinux
    options:
      file_contexts: etc/selinux/targeted/contexts/files/file_contexts
      labels:
        /usr/bin/cp: system_u:object_r:install_exec_t:s0
        /usr/bin/tar: system_u:object_r:install_exec_t:s0
